Class | Merb::Rack::Middleware
In: | lib/merb-core/rack/middleware.rb
Parent: | Object

Base class for the Merb middlewares

When you need to write your own middleware for Merb you should this class as a base class to make sure middleware has expected interface.

In case you need to Merbify some middleware you can use Merb::Rack::DeferrableMiddleware module to add deferred actions support.

@see Merb::Rack::DeferrableMiddleware

### Methods

call new

### Included Modules

Merb::Rack::DeferrableMiddleware

### Public Class methods

new(app)

@overridable @api plugin

### Public Instance methods

call(env)

@overridable @api plugin

[Validate]